package com.jpsoft.shinestar.modules.hikvision.service;

import com.jpsoft.shinestar.modules.base.entity.DeviceInfo;
import com.jpsoft.shinestar.modules.pacs.dto.IsPersonExistVo;
import com.jpsoft.shinestar.modules.pacs.dto.PacsMsgResult;
import com.jpsoft.shinestar.modules.pacs.dto.PacsResult;

import java.util.List;

public interface IEHomeService {
    boolean keepAlive(String deviceId);

    boolean reboot(String deviceId);

    List<IsPersonExistVo> existPersonInDevice(List<Long> personIdList, DeviceInfo deviceInfo);

    PacsMsgResult remoteOpen(String deviceId);

    PacsMsgResult deletePersonFromDevice(Long personId, String deviceId);

    PacsResult addPersonToDevice(Long personId, String deviceId);

    PacsMsgResult updateDeviceServerConfig(DeviceInfo deviceInfo, String newAddress, String newPort);
}
